Skip to main content
`Ctrl`+`K`

# ISColoringGetColors

Returns an array with the color for each local node

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISColoringGetColors(ISColoring iscoloring, PetscInt *n, PetscInt *nc, const ISColoringValue **colors)

Not Collective

## Input Parameter

- iscoloring - the coloring context

## Output Parameters

- n - number of nodes

- nc - number of colors

- colors - color for each node

## Notes

Do not free the `colors` array.

The `colors` array will only be valid for the lifetime of the `ISColoring`

## See Also

`ISColoring`, `ISColoringValue`, `ISColoringRestoreIS()`, `ISColoringView()`, `ISColoringGetIS()`

## Level

advanced

## Location

src/vec/is/is/utils/iscoloring.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages